# WOK
TKWOK
WOKBuilder

# WOKBuilder_DataMapOfHAsciiStringOfMSEntity Class Reference

`#include <WOKBuilder_DataMapOfHAsciiStringOfMSEntity.hxx>`

Inheritance diagram for WOKBuilder_DataMapOfHAsciiStringOfMSEntity:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | WOKBuilder_DataMapOfHAsciiStringOfMSEntity (const Standard_Integer NbBuckets=1)
Standard_EXPORT WOKBuilder_DataMapOfHAsciiStringOfMSEntity & | Assign (const WOKBuilder_DataMapOfHAsciiStringOfMSEntity &Other)
WOKBuilder_DataMapOfHAsciiStringOfMSEntity & | operator= (const WOKBuilder_DataMapOfHAsciiStringOfMSEntity &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~WOKBuilder_DataMapOfHAsciiStringOfMSEntity ()
Standard_EXPORT Standard_Boolean | Bind (const Handle(TCollection_HAsciiString)&K, const Handle(WOKBuilder_MSEntity)&I)
Standard_EXPORT Standard_Boolean | IsBound (const Handle(TCollection_HAsciiString)&K) const
Standard_EXPORT Standard_Boolean | UnBind (const Handle(TCollection_HAsciiString)&K)
Standard_EXPORT const Handle_WOKBuilder_MSEntity & | Find (const Handle(TCollection_HAsciiString)&K) const
const Handle_WOKBuilder_MSEntity & | operator() (const Handle(TCollection_HAsciiString)&K) const
Standard_EXPORT Handle_WOKBuilder_MSEntity & | ChangeFind (const Handle(TCollection_HAsciiString)&K)
Handle_WOKBuilder_MSEntity & | operator() (const Handle(TCollection_HAsciiString)&K)

## Private Member Functions

Standard_EXPORT | WOKBuilder_DataMapOfHAsciiStringOfMSEntity (const WOKBuilder_DataMapOfHAsciiStringOfMSEntity &Other)

## Constructor & Destructor Documentation

Standard_EXPORT WOKBuilder_DataMapOfHAsciiStringOfMSEntity::WOKBuilder_DataMapOfHAsciiStringOfMSEntity | ( | const Standard_Integer | NbBuckets = `1` | ) |

WOKBuilder_DataMapOfHAsciiStringOfMSEntity::~WOKBuilder_DataMapOfHAsciiStringOfMSEntity | ( |  | ) | `[inline]`

Standard_EXPORT WOKBuilder_DataMapOfHAsciiStringOfMSEntity::WOKBuilder_DataMapOfHAsciiStringOfMSEntity | ( | const WOKBuilder_DataMapOfHAsciiStringOfMSEntity & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT WOKBuilder_DataMapOfHAsciiStringOfMSEntity& WOKBuilder_DataMapOfHAsciiStringOfMSEntity::Assign | ( | const WOKBuilder_DataMapOfHAsciiStringOfMSEntity & | Other | ) |

Standard_EXPORT Standard_Boolean WOKBuilder_DataMapOfHAsciiStringOfMSEntity::Bind | ( | const Handle(TCollection_HAsciiString)& | K,
|  | const Handle(WOKBuilder_MSEntity)& | I
| ) |

Standard_EXPORT Handle_WOKBuilder_MSEntity& WOKBuilder_DataMapOfHAsciiStringOfMSEntity::ChangeFind | ( | const Handle(TCollection_HAsciiString)& | K | ) |

Standard_EXPORT void WOKBuilder_DataMapOfHAsciiStringOfMSEntity::Clear | ( |  | ) |

Standard_EXPORT const Handle_WOKBuilder_MSEntity& WOKBuilder_DataMapOfHAsciiStringOfMSEntity::Find | ( | const Handle(TCollection_HAsciiString)& | K | ) | const

Standard_EXPORT Standard_Boolean WOKBuilder_DataMapOfHAsciiStringOfMSEntity::IsBound | ( | const Handle(TCollection_HAsciiString)& | K | ) | const

void WOKBuilder_DataMapOfHAsciiStringOfMSEntity::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from WOKTools_BasicMap.

void* WOKBuilder_DataMapOfHAsciiStringOfMSEntity::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from WOKTools_BasicMap.

void* WOKBuilder_DataMapOfHAsciiStringOfMSEntity::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from WOKTools_BasicMap.

Handle_WOKBuilder_MSEntity& WOKBuilder_DataMapOfHAsciiStringOfMSEntity::operator() | ( | const Handle(TCollection_HAsciiString)& | K | ) | `[inline]`

const Handle_WOKBuilder_MSEntity& WOKBuilder_DataMapOfHAsciiStringOfMSEntity::operator() | ( | const Handle(TCollection_HAsciiString)& | K | ) | const`[inline]`

WOKBuilder_DataMapOfHAsciiStringOfMSEntity& WOKBuilder_DataMapOfHAsciiStringOfMSEntity::operator= | ( | const WOKBuilder_DataMapOfHAsciiStringOfMSEntity & | Other | ) | `[inline]`

Standard_EXPORT void WOKBuilder_DataMapOfHAsciiStringOfMSEntity::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean WOKBuilder_DataMapOfHAsciiStringOfMSEntity::UnBind | ( | const Handle(TCollection_HAsciiString)& | K | ) |

The documentation for this class was generated from the following file:

- WOKBuilder_DataMapOfHAsciiStringOfMSEntity.hxx